Package com.google.gwt.user.client.ui

## Class DateLabel

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.LabelBase<T>
      - - com.google.gwt.user.client.ui.ValueLabel<java.util.Date>
        - - com.google.gwt.user.client.ui.DateLabel

- All Implemented Interfaces:
    `IsEditor<LeafValueEditor<java.util.Date>>`, `HasAttachHandlers`, `HasHandlers`, `HasDirectionEstimator`, `EventListener`, `TakesValue<java.util.Date>`, `HasAutoHorizontalAlignment`, `HasHorizontalAlignment`, `HasVisibility`, `HasWordWrap`, `IsWidget`

      public class DateLabel
      extends ValueLabel<java.util.Date>

  Extends `ValueLabel` for convenience when dealing with dates and `DateTimeFormat`, especially in `UiBinder` templates. (Note that this class does not accept renderers. To do so use `ValueLabel` directly.)

  ### Use in UiBinder Templates

  In `UiBinder` templates, both the format and time zone can be configured.

  The format can be given with one of these attributes:

  format
    a reference to a `DateTimeFormat` instance.
  predefinedFormat
    a `DateTimeFormat.PredefinedFormat`.
  customFormat
    a date time pattern that can be passed to `DateTimeFormat.getFormat(String)`.

  The time zone can be specified with either of these attributes:

  timezone
    a reference to a `TimeZone` instance.
  timezoneOffset
    the time zone offset in minutes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment

      `HasHorizontalAlignment.AutoHorizontalAlignmentConstant, HasHorizontalAlignment.HorizontalAlignmentConstant`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.LabelBase

      `directionalTextHelper`

    - ### Fields inherited from class com.google.gwt.user.client.ui.Widget

      `eventsToSink`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

    - ### Fields inherited from interface com.google.gwt.user.client.ui.HasAutoHorizontalAlignment

      `ALIGN_CONTENT_END, ALIGN_CONTENT_START`

    - ### Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment

      `ALIGN_CENTER, ALIGN_DEFAULT, ALIGN_JUSTIFY, ALIGN_LEFT, ALIGN_LOCALE_END, ALIGN_LOCALE_START, ALIGN_RIGHT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DateLabel()` |
    `DateLabel​(DateTimeFormat format)` |
    `DateLabel​(DateTimeFormat format, TimeZone timeZone)` |

  - ### Method Summary

    - ### Methods inherited from class com.google.gwt.user.client.ui.ValueLabel

      `asEditor, getValue, setValue, wrap, wrap`

    - ### Methods inherited from class com.google.gwt.user.client.ui.LabelBase

      `getAutoHorizontalAlignment, getDirectionEstimator, getHorizontalAlignment, getWordWrap, setAutoHorizontalAlignment, setDirectionEstimator, setDirectionEstimator, setHorizontalAlignment, setWordWrap, updateHorizontalAlignment`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DateLabel

          public DateLabel()

    - #### DateLabel

          public DateLabel​(DateTimeFormat format)

    - #### DateLabel

          public DateLabel​(DateTimeFormat format,
                           TimeZone timeZone)